Subject: Re: [bug#28638] [PATCH] doc: Suggest decreasing bytes per inode.

From: Mohammed Sadiq <[email-masked]>
Date: Tue, 3 Oct 2017 19:35:13 +0530 (IST)

> On October 3, 2017 at 6:44 PM Ludovic Courtès <[email-masked]> wrote:
> 
> 
> Hello,
Hello,

> I’ve used ext4 partitions much bigger than this but I’ve never needed to
> pass “-i 8192” or similar.
> 
The issue happens when lots of small files are stored in store.
It may be possible to reproduce this by creating a separate partition
for /gnu/store with size around 5-10 GiB (I haven't tried that way though).

> Could it be that the ENOSPC you experienced was due to something else,
> or on some other partition?
Idk. This same error was shown when downloading a file in icecat or copying
a file in nautilus in home dir.

But of course, this patch can wait, until some others have the same issue.
Anyway, note that if no space error is shown, it can either be disk space
filled (df -h) or inode space filled (df -hi).

Thanks